{*
* 2007-2012 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2012 PrestaShop SA
*  @version  Release: $Revision: 6844 $
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

{include file="$tpl_dir./breadcrumb.tpl"}
{include file="$tpl_dir./errors.tpl"}

{if isset($category)}
	{if $category->id AND $category->active}
		<h1>
			{strip}
				{$category->name|escape:'htmlall':'UTF-8'}
				{if isset($categoryNameComplement)}
					{$categoryNameComplement|escape:'htmlall':'UTF-8'}
				{/if}
			{/strip}
            <div class="resumecat category-product-count">
			{include file="$tpl_dir./category-count.tpl"}
		</div>
		</h1>
		
		
		
		{if $scenes || $category->id_image}
		<div class="content_scene_cat">
			{if $scenes}
				<!-- Scenes -->
				{include file="$tpl_dir./scenes.tpl" scenes=$scenes}
			{else}
				<!-- Category image -->
				{if $category->id_image}
				<div class="align_center">
					<img src="{$link->getCatImageLink($category->link_rewrite, $category->id_image, 'category_default')}" alt="{$category->name|escape:'htmlall':'UTF-8'}" title="{$category->name|escape:'htmlall':'UTF-8'}" id="categoryImage"/>
				</div>
				{/if}
			{/if}
		</div>
		{/if}
        {if $category->description}
				<div class="cat_desc bgcolor bordercolor">
				{if strlen($category->description) > 120}
					<p id="category_description_short">{$category->description|truncate:120}<a href="#" onclick="$('#category_description_short').hide(); $('#category_description_full').show(); $(this).hide(); return false;" class="lnk_more">{l s='More'}</a></p>
					<p id="category_description_full" style="display:none">{$category->description}</p>
					
				{else}
					<p>{$category->description}</p>
				{/if}
				</div>
			{/if}
		{if isset($subcategories)}
		<!-- Subcategories -->
		<div id="subcategories">
			<h3>{l s='Subcategories'}</h3>
            {assign var='nbItemsPerLine' value=6}
			{assign var='nbLi' value=$products|@count}
			{math equation="nbLi/nbItemsPerLine" nbLi=$nbLi nbItemsPerLine=$nbItemsPerLine assign=nbLines}
			<ul class="inline_list">
            
			{foreach from=$subcategories item=subcategory name=subcategories}
            {math equation="(total%perLine)" total=$smarty.foreach.subcategories.total perLine=$nbItemsPerLine assign=totModulo}
				<li class="{if $smarty.foreach.subcategories.first}first_item{elseif $smarty.foreach.subcategories.last}last_item{else}item{/if} {if $smarty.foreach.subcategories.iteration%$nbItemsPerLine == 0}last_in_line{elseif $smarty.foreach.subcategories.iteration%$nbItemsPerLine == 1} first_in_line{/if} {if $smarty.foreach.subcategories.iteration > ($smarty.foreach.subcategories.total - $totModulo)}last_line{/if}">
					<a href="{$link->getCategoryLink($subcategory.id_category, $subcategory.link_rewrite)|escape:'htmlall':'UTF-8'}" title="{$subcategory.name|escape:'htmlall':'UTF-8'}" class="img">
						{if $subcategory.id_image}
							<img src="{$link->getCatImageLink($subcategory.link_rewrite, $subcategory.id_image, 'medium_default')}" alt=""  />
						{else}
							<img src="{$img_cat_dir}default-medium_default.jpg" alt="" />
						{/if}
					<span>{$subcategory.name|escape:'htmlall':'UTF-8'|truncate:20:'...'}</span>
					<strong></strong>
                    </a>
				</li>
			{/foreach}
			</ul>
		</div>
		{/if}

		{if $products}
            <div class="sortpagibar bordercolor clearfix">
            {include file="./product-sort.tpl"}
            {include file="./nbr-product-page.tpl"}
            </div>
            {include file="./product-list.tpl" products=$products}
            <div class="clearblock"></div>
			<div class="bottom_pagination clearfix">
            {include file="./product-compare.tpl"}
            {include file="./pagination.tpl"}
            </div>
        {/if}
	{elseif $category->id}
		<p class="warning">{l s='This category is currently unavailable.'}</p>
	{/if}
{/if}
